View Issue Details

IDProjectCategoryView StatusLast Update
0025149LazarusLCLpublic2014-03-26 20:35
ReporterZeljan Rikalo Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3 (SVN) 
Target Version1.1.99 pre-release 
Summary0025149: TListView missing OwnerDraw property
DescriptionAccording to embarcadero docs
http://docs.embarcadero.com/products/rad_studio/delphiAndcpp2009/HelpUpdate2/EN/html/delphivclwin32/ComCtrls_TListView_OwnerDraw.html we are missing that property.
TagsNo tags attached.
Fixed in Revision43115,43116,43122,43157
LazTarget1.2
WidgetsetGTK 2, Win32/Win64, Carbon, Cocoa, QT
Attached Files

Relationships

related to 0007059 resolvedZeljan Rikalo TListView: OnCustomDraw event 
related to 0014071 closedZeljan Rikalo TCheckListBox do not use OnDrawItem 
related to 0025844 resolvedJuha Manninen [regression] Sigsegv exception raised when assigning images to Tlistview columns 

Activities

Zeljan Rikalo

2013-10-06 13:38

developer   ~0070560

LCL part implemented in r43115
QtLCL part implemented in r43116

Zeljan Rikalo

2013-10-06 14:39

developer   ~0070563

Gtk2 implemented in r43122

Zeljan Rikalo

2013-10-06 20:01

developer   ~0070581

Updated laz target.

Zeljan Rikalo

2013-10-07 15:41

developer   ~0070614

All main targets are implemented (win32,gtk2 and qt)

Issue History

Date Modified Username Field Change
2013-10-06 10:52 Zeljan Rikalo New Issue
2013-10-06 13:38 Zeljan Rikalo Note Added: 0070560
2013-10-06 13:38 Zeljan Rikalo Assigned To => Zeljan Rikalo
2013-10-06 13:38 Zeljan Rikalo Status new => feedback
2013-10-06 14:39 Zeljan Rikalo Note Added: 0070563
2013-10-06 14:39 Zeljan Rikalo Status feedback => assigned
2013-10-06 20:01 Zeljan Rikalo LazTarget - => 1.2
2013-10-06 20:01 Zeljan Rikalo Note Added: 0070581
2013-10-06 20:01 Zeljan Rikalo Target Version => 1.3 (SVN)
2013-10-06 20:01 Zeljan Rikalo Target Version 1.3 (SVN) => 1.1.99 pre-release
2013-10-06 20:02 Zeljan Rikalo Relationship added related to 0007059
2013-10-06 20:03 Zeljan Rikalo Relationship added related to 0014071
2013-10-07 15:41 Zeljan Rikalo Fixed in Revision => 43115,43116,43122,43157
2013-10-07 15:41 Zeljan Rikalo Note Added: 0070614
2013-10-07 15:41 Zeljan Rikalo Status assigned => resolved
2013-10-07 15:41 Zeljan Rikalo Resolution open => fixed
2014-03-17 00:34 Juha Manninen Relationship added related to 0025844
2014-03-26 20:35 Zeljan Rikalo Status resolved => closed